<?php 
$kopa_setting = kopa_get_template_setting();
$sidebars = $kopa_setting['sidebars'];


if ( is_active_sidebar($sidebars[0]) ){
    $col_class = 'col-lg-8 col-md-8 col-sm-12 col-xs-12';
}else{
    $col_class = 'col-lg-12 col-md-12 col-sm-12 col-xs-12';
}
?>

<?php get_header(); ?>

<div class="container">
    <?php kopa_breadcrumb(); ?>
    <!-- breadcrumb -->

    <div class="row">
        <div class="<?php echo $col_class;?>">
            <div id="main-content">
                <?php get_template_part( 'loop', 'page' ); ?>
            </div>
            <!-- main content -->
        </div>

        <?php if ( is_active_sidebar($sidebars[0]) ) : ?>
        <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
                <div id="sidebar" class="widget-area-26">
                    <?php dynamic_sidebar($sidebars[0]);?>
                </div>
            <!-- widget-area-26 -->
        </div>
        <?php endif; ?>
    </div>
</div>
<!-- container -->

<?php get_footer(); ?>