<div class="kopa-content-box tab-content tab-content-1" id="tab-general">

    <!--tab-logo-favicon-icon-->
    <div class="kopa-box-head">
        <i class="icon-hand-right"></i>
        <span class="kopa-section-title"><?php _e('Logo, Favicon, Apple Icon, Banner', kopa_get_domain()); ?></span>
    </div><!--kopa-box-head-->

    <div class="kopa-box-body">
        <div class="kopa-element-box kopa-theme-options">

            <p class="kopa-desc"><?php printf( __('Use <a href="%s">custom header</a> to upload logo image and change site title color.', kopa_get_domain()), admin_url('themes.php?page=custom-header') ); ?></p>                         
            <span class="kopa-component-title"><?php _e('Logo margin', kopa_get_domain()); ?></span>
            <label class="kopa-label"><?php _e('Top margin:', kopa_get_domain()); ?> </label>
            <input type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_logo_margin_top') ); ?>" id="kopa_theme_options_logo_margin_top" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_logo_margin_top]" class=" kopa-short-input">
            <label class="kopa-label"><?php _e('px', kopa_get_domain()); ?></label>

            <span class="kopa-spacer"></span>

            <label class="kopa-label"><?php _e('Left margin:', kopa_get_domain()); ?> </label>
            <input type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_logo_margin_left') ); ?>" id="kopa_theme_options_logo_margin_left" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_logo_margin_left]" class=" kopa-short-input">
            <label class="kopa-label"><?php _e('px', kopa_get_domain()); ?></label>

            <span class="kopa-spacer"></span>

            <label class="kopa-label"><?php _e('Right margin:', kopa_get_domain()); ?> </label>
            <input type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_logo_margin_right') ); ?>" id="kopa_theme_options_logo_margin_right" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_logo_margin_right]" class=" kopa-short-input">
            <label class="kopa-label"><?php _e('px', kopa_get_domain()); ?></label>

            <span class="kopa-spacer"></span>

            <label class="kopa-label"><?php _e('Bottom margin:', kopa_get_domain()); ?> </label>
            <input type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_logo_margin_bottom') ); ?>" id="kopa_theme_options_logo_margin_bottom" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_logo_margin_bottom]" class=" kopa-short-input">
            <label class="kopa-label"><?php _e('px', kopa_get_domain()); ?></label>
        </div><!--kopa-element-box-->

        <div class="kopa-element-box kopa-theme-options">
            
            <span class="kopa-component-title"><?php _e('Top Banner ', kopa_get_domain()); ?></span>
            <p class="kopa-desc"><?php _e('Upload your top banner.', kopa_get_domain()); ?></p>
            <div class="clearfix">
                <input class="left" type="text" value="<?php echo kopa_get_option('kopa_theme_options_banner_url'); ?>" id="kopa_theme_options_banner_url" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_banner_url]">
                <button class="left btn btn-success upload_image_button" alt="kopa_theme_options_banner_url"><i class="icon-circle-arrow-up"></i><?php _e('Upload', kopa_get_domain()); ?></button>
            </div>
            <p class="kopa-desc"><?php _e('Link for your banner.', kopa_get_domain()); ?></p>
            <div class="clearfix">
                <input class="left" type="text" value="<?php echo kopa_get_option('kopa_theme_options_banner_link'); ?>" id="kopa_theme_options_banner_link" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_banner_link]">
            </div>

            <p class="kopa-desc"><?php _e('Banner Target:', kopa_get_domain()); ?> </p>
            <?php
            $kopa_banner_targets = array(
                '_self'  => __('Opens the linked document in the same frame as it was clicked', kopa_get_domain()),
                '_blank' => __('Opens the linked document in a new window or tab', kopa_get_domain()),
            );
            $kopa_banner_target_name = "kopa_theme_options_banner_target";
            foreach ($kopa_banner_targets as $value => $label) {
                $kopa_target_id = $kopa_banner_target_name . "_{$value}";
                ?>
                <label  for="<?php echo $kopa_target_id; ?>" class="kopa-label-for-radio-button"><input type="radio" value="<?php echo esc_attr( $value ); ?>" id="<?php echo $kopa_target_id; ?>" name="<?php echo KOPA_THEME_OPTIONS.'['.$kopa_banner_target_name.']'; ?>" <?php echo ($value == kopa_get_option($kopa_banner_target_name, '_self')) ? 'checked="checked"' : ''; ?>><?php echo $label; ?></label>
                <?php
            } // end foreach
            ?>
            
        </div><!--kopa-element-box-->
        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Favicon', kopa_get_domain()); ?></span>

            <p class="kopa-desc"><?php _e('Upload your own favicon.', kopa_get_domain()); ?></p>    
            <div class="clearfix">
                <input class="left" type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_favicon_url') ); ?>" id="kopa_theme_options_favicon_url" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_favicon_url]">
                <button class="left btn btn-success upload_image_button" alt="kopa_theme_options_favicon_url"><i class="icon-circle-arrow-up"></i><?php _e('Upload', kopa_get_domain()); ?></button>
            </div>
        </div><!--kopa-element-box-->


        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Apple Icons', kopa_get_domain()); ?></span>

            <p class="kopa-desc"><?php _e('Iphone (57px - 57px)', kopa_get_domain()); ?></p>   
            <div class="clearfix">
                <input class="left" type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_apple_iphone_icon_url') ); ?>" id="kopa_theme_options_apple_iphone_icon_url" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_apple_iphone_icon_url]">
                <button class="left btn btn-success upload_image_button" alt="kopa_theme_options_apple_iphone_icon_url"><i class="icon-circle-arrow-up"></i><?php _e('Upload', kopa_get_domain()); ?></button>
            </div>
            <p class="kopa-desc"><?php _e('Iphone Retina (114px - 114px)', kopa_get_domain()); ?></p>    
            <div class="clearfix">
                <input class="left" type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_apple_iphone_retina_icon_url') ); ?>" id="kopa_theme_options_apple_iphone_retina_icon_url" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_apple_iphone_retina_icon_url]">
                <button class="left btn btn-success upload_image_button" alt="kopa_theme_options_apple_iphone_retina_icon_url"><i class="icon-circle-arrow-up"></i><?php _e('Upload', kopa_get_domain()); ?></button>
            </div>

            <p class="kopa-desc"><?php _e('Ipad (72px - 72px)', kopa_get_domain()); ?></p>    
            <div class="clearfix">
                <input class="left" type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_apple_ipad_icon_url') ); ?>" id="kopa_theme_options_apple_ipad_icon_url" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_apple_ipad_icon_url]">
                <button class="left btn btn-success upload_image_button" alt="kopa_theme_options_apple_ipad_icon_url"><i class="icon-circle-arrow-up"></i><?php _e('Upload', kopa_get_domain()); ?></button>
            </div>

            <p class="kopa-desc"><?php _e('Ipad Retina (144px - 144px)', kopa_get_domain()); ?></p>    
            <div class="clearfix">
                <input class="" type="text" value="<?php echo esc_attr( kopa_get_option('kopa_theme_options_apple_ipad_retina_icon_url') ); ?>" id="kopa_theme_options_apple_ipad_retina_icon_url" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_apple_ipad_retina_icon_url]">
                <button class="btn btn-success upload_image_button" alt="kopa_theme_options_apple_ipad_retina_icon_url"><i class="icon-circle-arrow-up"></i><?php _e('Upload', kopa_get_domain()); ?></button>
            </div>
        </div><!--kopa-element-box-->


    </div><!--tab-logo-favicon-icon-->

    <div class="kopa-box-head">
        <i class="icon-hand-right"></i>
        <span class="kopa-section-title"><?php _e('Header', kopa_get_domain()); ?></span>
    </div><!-- kopa-box-head-->

    <div class="kopa-box-body">
        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Top header', kopa_get_domain()); ?></span>
            <?php
            $top_header_status = array(
                'show' => __('Show', kopa_get_domain()),
                'hide' => __('Hide', kopa_get_domain())
            );
            $top_header = "kopa_theme_options_top_header";
            foreach ($top_header_status as $value => $label):
                $top_header_id = $top_header . "_{$value}";
                ?>
                <label  for="<?php echo $top_header_id; ?>" class="kopa-label-for-radio-button"><input type="radio" value="<?php echo $value; ?>" id="<?php echo $top_header_id; ?>" name="<?php echo KOPA_THEME_OPTIONS;?>[<?php echo $top_header; ?>]" <?php echo ($value == kopa_get_option($top_header)) ? 'checked="checked"' : ''; ?>><?php echo $label; ?></label>
                <?php
            endforeach
            ?>
        </div>
        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Use default logo, banner if not set', kopa_get_domain()); ?></span>
            <?php
            $use_default_status = array(
                'yes' => __('Yes', kopa_get_domain()),
                'no' => __('No', kopa_get_domain())
            );
            $use_default = "kopa_theme_options_use_default";
            foreach ($use_default_status as $value => $label):
                $use_default_id = $use_default . "_{$value}";
                ?>
                <label  for="<?php echo $use_default_id; ?>" class="kopa-label-for-radio-button"><input type="radio" value="<?php echo $value; ?>" id="<?php echo $use_default_id; ?>" name="<?php echo KOPA_THEME_OPTIONS;?>[<?php echo $use_default; ?>]" <?php echo ($value == kopa_get_option($use_default)) ? 'checked="checked"' : ''; ?>><?php echo $label; ?></label>
                <?php
            endforeach
            ?>
        </div>
    </div>

    <div class="kopa-box-head">
        <i class="icon-hand-right"></i>
        <span class="kopa-section-title"><?php _e('Headline', kopa_get_domain()); ?></span>
    </div><!-- kopa-box-head-->

    <div class="kopa-box-body">
        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Prefix', kopa_get_domain()); ?></span>
            <input type="text" value="<?php echo esc_attr(kopa_get_option('kopa_theme_options_headline_prefix', 'HEADLINE')); ?>" id="headline_prefix" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_headline_prefix]">
        </div>
        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Categories', kopa_get_domain()); ?></span>
            <?php
            $terms = get_terms('category');
            $headline_cats = kopa_get_option('kopa_theme_options_headline_cats');
            ?>
            <select id="headline_cats" name="<?php echo KOPA_THEME_OPTIONS; ?>[kopa_theme_options_headline_cats][]" class="kopa-ui-taxonomy kopa-ui-select form-control" multiple="multiple" autocomplete="off" size="5">
                <option value="">-- Select --</option>
                <?php foreach($terms as $v) :?>
                <?php if ( !empty($headline_cats) ) :?>
                    <option value="<?php echo $v->term_id; ?>" <?php echo in_array($v->term_id, $headline_cats) ? 'selected="selected"' : ''; ?>><?php echo $v->name . '(' . $v->count . ')'; ?></option>
                    <?php else: ?>
                    <option value="<?php echo $v->term_id; ?>"><?php echo $v->name . '(' . $v->count . ')'; ?></option>
                    <?php endif; ?>
                <?php endforeach; ?>
            </select>
        </div>
        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Number of posts', kopa_get_domain()); ?></span>
            <?php
            $headline_limit = kopa_get_option('kopa_theme_options_headline_limit', 5);
            ?>
            <select id="kopa_theme_options_headline_limit" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_headline_limit]" class="kopa-ui-taxonomy kopa-ui-select form-control" autocomplete="off">
                <?php for ( $i=0; $i<20; $i++ ) {?>
                <option value='<?php echo $i;?>' <?php if (isset($headline_limit) && $headline_limit == $i) echo 'selected="selected"'; ?>><?php echo $i;?></option>
                <?php }?>
            </select>
        </div>
    </div>

    <div class="kopa-box-head">
        <i class="icon-hand-right"></i>
        <span class="kopa-section-title"><?php _e('Blog slider', kopa_get_domain()); ?></span>
    </div><!-- kopa-box-head-->

    <div class="kopa-box-body">
        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Categories', kopa_get_domain()); ?></span>
            <?php
            $terms = get_terms('category');
            $slider_cats = (array)kopa_get_option('kopa_theme_options_slider_cats');
            ?>
            <select id="slider_cats" name="<?php echo KOPA_THEME_OPTIONS; ?>[kopa_theme_options_slider_cats][]" class="kopa-ui-taxonomy kopa-ui-select form-control" multiple="multiple" autocomplete="off" size="5">
                <option value="">-- Select --</option>
                <?php foreach($terms as $v) :?>
                <?php if ( !empty($slider_cats) ) :?>
                    <option value="<?php echo $v->term_id; ?>" <?php echo in_array($v->term_id, $slider_cats) ? 'selected="selected"' : ''; ?>><?php echo $v->name . '(' . $v->count . ')'; ?></option>
                    <?php else: ?>
                    <option value="<?php echo $v->term_id; ?>"><?php echo $v->name . '(' . $v->count . ')'; ?></option>
                    <?php endif; ?>
                <?php endforeach; ?>
            </select>
        </div>
        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Number of posts', kopa_get_domain()); ?></span>
            <?php
            $slider_limit = kopa_get_option('kopa_theme_options_slider_limit', 5);
            ?>
            <select id="kopa_theme_options_slider_limit" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_slider_limit]" class="kopa-ui-taxonomy kopa-ui-select form-control" autocomplete="off">
                <?php for ( $i=0; $i<20; $i++ ) {?>
                <option value='<?php echo $i;?>' <?php if (isset($slider_limit) && $slider_limit == $i) echo 'selected="selected"'; ?>><?php echo $i;?></option>
                <?php }?>
            </select>
        </div>
    </div>

    <div class="kopa-box-head">
        <i class="icon-hand-right"></i>
        <span class="kopa-section-title"><?php _e('Footer', kopa_get_domain()); ?></span>
    </div><!--kopa-box-head-->

    <div class="kopa-box-body">

        <div class="kopa-element-box kopa-theme-options">
            <span class="kopa-component-title"><?php _e('Custom Footer', kopa_get_domain()); ?></span>
            <p class="kopa-desc"><?php _e('Enter the content you want to display in your footer (e.g. copyright text).', kopa_get_domain()); ?></p>    
            <textarea class="" rows="6" id="kopa_setting_copyrights" name="<?php echo KOPA_THEME_OPTIONS;?>[kopa_theme_options_copyright]"><?php echo htmlspecialchars_decode(stripslashes(kopa_get_option('kopa_theme_options_copyright', sprintf(__( 'Copyright %1$s - Kopasoft. All Rights Reserved.', kopa_get_domain() ), date('Y'))))); ?><?php //echo esc_textarea( kopa_get_option('kopa_theme_options_copyright') ); ?></textarea>
        </div><!--kopa-element-box-->
    </div>
</div><!--kopa-content-box-->

